ata_qc_complete_multiple
Prev | Chapter 4. libata Library | Next

## Name

ata_qc_complete_multiple — Complete multiple qcs successfully

## Synopsis

`int ata_qc_complete_multiple (` | struct ata_port * | ap,
| u32 | qc_active,
| void (* | finish_qc`(`struct ata_queued_cmd *`)``)`;

## Arguments

`ap`

  port in question

`qc_active`

  new qc_active mask

`finish_qc`

  LLDD callback invoked before completing a qc

## Description

Complete in-flight commands. This functions is meant to be called from low-level driver's interrupt routine to complete requests normally. ap->qc_active and `qc_active` is compared and commands are completed accordingly.

## LOCKING

spin_lock_irqsave(host lock)

## RETURNS

Number of completed commands on success, -errno otherwise.

Prev | Up | Next
ata_qc_complete | Home | ata_qc_issue_prot